package catalystError

import "github.com/go-errors/errors"

//// Errors generated by Catalyst's validation ////

type InvalidRequestData interface {
	ClientError
	invalidRequestData()
}

//

type InvalidId struct {
	Err *errors.Error
}

func (id InvalidId) clientError() {}

func (id InvalidId) Error() string {
	return id.Err.Error()
}

func (id InvalidId) ErrorStack() string {
	return id.Err.ErrorStack()
}

//

type InvalidQueryParam struct {
	Err *errors.Error
}

func (u InvalidQueryParam) clientError() {}

func (u InvalidQueryParam) Error() string {
	return u.Err.Error()
}

func (u InvalidQueryParam) ErrorStack() string {
	return u.Err.ErrorStack()
}

//

type InvalidChartSchema struct {
	Err *errors.Error
}

func (ics InvalidChartSchema) clientError() {}

func (ics InvalidChartSchema) Error() string {
	return ics.Err.Error()
}

func (ics InvalidChartSchema) ErrorStack() string {
	return ics.Err.ErrorStack()
}

//

type InvalidEnvValues struct {
	Err *errors.Error
}

func (iev InvalidEnvValues) clientError() {}

func (iev InvalidEnvValues) invalidRequestData() {}

func (iev InvalidEnvValues) Error() string {
	return iev.Err.Error()
}

func (iev InvalidEnvValues) ErrorStack() string {
	return iev.Err.ErrorStack()
}
